<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}

$tmpfile_name = $WHuds->safecheck($WHuds->root . WH_SLASH . $file_name);

if(!$WHuds->exists($tmpfile_name))
{
	$WH->message("不存在此文件，返回！", "index.php?dir=$dir");
}
else
{
	$file_content = $WHuds->read($tmpfile_name);

echo <<<eot
编辑文件：$file_name
<form action="index.php?op=edited" method="post">
<input type="hidden" name="dir" value="$dir">
<input type="hidden" name="file_name" value="$file_name">\n

<TEXTAREA NAME="file_content" rows="20" cols="100">\n
$file_content
</TEXTAREA>\n
<br>
<center><input type="submit" value="编辑完成"></center>\n
</form>
eot;

}

?>